## aolserver4-nspostgres 4.0+20071212

=== Makefile ===
--- 
+++ 
@@ -28,18 +28,12 @@
 #
 # Copyright (C) 2001,2002 Scott S. Goodwin
 #
-# $Header: /cvsroot/aolserver/nspostgres/Makefile,v 1.11 2003/10/02 13:02:21 scottg Exp $
+# $Header: /cvsroot/aolserver/nspostgres/Makefile,v 1.21 2007/06/12 15:17:45 dossy Exp $
 #
 # nspostgres --
 #
 #      PostgreSQL Database Driver for AOLserver
 #
-
-ifdef INST
-    NSHOME ?= $(INST)
-else
-    NSHOME ?= ../aolserver
-endif
 
 #
 # Version number used in release tags. Valid VERs are "1.1c", "2.1", 
@@ -47,17 +41,39 @@
 #
 VER_ = $(subst .,_,$(VER))
 
+# if POSTGRES does not receive a value, print message showing choices.
+# 
+# the best choice for POSTGRES should be PG_CONFIG, but there has to be
+# a way to show the choices: so do NOT set POSTGRES here.
+
 #
 # Manage to find PostgreSQL components in the system, or where you specify
 #
+ifndef PG_CONFIG
+    PG_CONFIG = pg_config
+endif
+
 ifeq ($(POSTGRES),LSB)
     PGLIB = /usr/lib
-    PGINC = /usr/include
+    PGINC = /usr/include/pgsql
 else
-    PGLIB = $(POSTGRES)/lib
-    PGINC = $(POSTGRES)/include
+    ifeq ($(POSTGRES),PG_CONFIG)
+        PGLIB = $(shell $(PG_CONFIG) --libdir)
+        PGINC = $(shell $(PG_CONFIG) --includedir)
+    else
+        ifneq ($(POSTGRES),SEPARATELY)
+            PGLIB = $(POSTGRES)/lib
+            PGINC = $(POSTGRES)/include
+        endif
+        # otherwise, it is assumed PGINC and PGLIB set on commandline
+    endif
 endif
  
+#
+# Where is AOLserver source?
+#
+AOLSERVER ?= ../aolserver
+
 #
 # Module name
 # 
@@ -66,7 +82,7 @@
 #
 # Objects to build
 #
-OBJS      = nspostgres.o
+MODOBJS   = nspostgres.o
 
 #
 # Header files for this module
@@ -76,26 +92,30 @@
 #
 # Libraries required by this module
 #
-MODLIBS   = -L$(PGLIB) -lpq
+MODLIBS  += -L$(PGLIB) -lpq
 
-ifndef AS3
-ifeq ($(AS3),1)
-    MODLIBS  +=  -lnsdb
-endif
+#
+# If PostgreSQL was compiled with OpenSSL support, you'll need to point the
+# OpenSSL installation.
+#
+ifdef OPENSSL
+    MODLIBS += -L$(OPENSSL)/lib -lssl -lcrypto
 endif
 
+#
+# Compiler flags
+#
 CFLAGS   += -DBIND_EMULATION -I$(PGINC)
 
 #
 # ACS users should set ACS=1
 #
-ifdef ACS
 ifeq ($(ACS),1)
     CFLAGS   +=  -DFOR_ACS_USE
 endif
-endif
 
-include  $(NSHOME)/include/Makefile.module
+
+include  $(AOLSERVER)/include/Makefile.module
 
 #
 # Help the poor developer
@@ -146,16 +166,33 @@
 	    echo "** POSTGRES variable not set."; \
 	    echo "** nspostgres.so will not be built."; \
 	    echo "** "; \
-	    echo "** Usage: make POSTGRES=/path/to/postgresql"; \
+	    echo "** Usage: make POSTGRES=PG_CONFIG"; \
+	    echo "**        make POSTGRES=PG_CONFIG PG_CONFIG=/path/to/pg_config"; \
 	    echo "**        make POSTGRES=LSB"; \
+	    echo "**        make POSTGRES=/path/to/postgresql"; \
+	    echo "**        make POSTGRES=SEPARATELY \\"; \
+	    echo "               PGLIB=/path/to/libs \\"; \
+	    echo "               PGINC=/wheres/the/includes"; \
 	    echo "** "; \
-	    echo "** Usage: make install POSTGRES=/path/to/postgresql INST=/path/to/aolserver"; \
-	    echo "**        make install POSTGRES=LSB INST=/path/to/aolserver"; \
+	    echo "** Usage: make install POSTGRES=PG_CONFIG"; \
+	    echo "**        make install POSTGRES=PG_CONFIG PG_CONFIG=/path/to/pg_config"; \
+	    echo "**        make install POSTGRES=LSB"; \
+	    echo "**        make install POSTGRES=/path/to/postgresql"; \
+	    echo "**        make install POSTGRES=SEPARATELY \\"; \
+	    echo "                       PGLIB=/path/to/libs \\"; \
+	    echo "                       PGINC=/wheres/the/includes"; \
+	    echo "** "; \
+	    echo "** if this dir is not at root of aolserver source tree,"; \
+	    echo "**   then you need to add INST=/path/to/aolserver--prefix"; \
+	    echo "**   and that dir must have aolserver installed in it"; \
 	    echo "** "; \
 	    echo "** OpenACS users should also set ACS=1"; \
 	    echo "** "; \
 	    echo "** AOLserver 3.x users should set AS3=1"; \
 	    echo "** "; \
+	    echo "** If PostgreSQL was compiled with SSL support, you also need:"; \
+	    echo "**        OPENSSL=/path/to/openssl"; \
+	    echo "** "; \
 	    exit 1; \
 	fi
