## aolserver4-nspostgres 4.5%2B20110709

=== debian/changelog ===
aolserver4-nspostgres (4.5+20110709-1ubuntu1) trusty; urgency=low

  * Fixed FTBFS from using deprecated structure access of 
    Tcl_interp (LP: #1303405)
    - nspostgres.c: replaces direct access of result field in 
      Tlc_interp structure with API functions Tcl_GetStringResult
      and Tcl_SetString.

 -- Sebastian Carneiro <scarneiro@fibertel.com.ar>  Sat, 05 Apr 2014 00:13:22 -0300

aolserver4-nspostgres (4.5+20110709-1) unstable; urgency=low

  * New upstream release, with fix for postgresql 9.1.
    (closes: #725521)
  * Added Vcs* fields to debian/cotrol.
  * Policy bumped to 3.9.5
  * Now using dhelper 9.
  * Fixating linking.
    (closes: #709271)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 08 Jan 2014 14:28:03 +0100

aolserver4-nspostgres (4.5-3build1) precise; urgency=low

  * No-change rebuild for aolserver4-core ABI transition.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 13 Nov 2011 11:57:18 +0400

aolserver4-nspostgres (4.5-3) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * Now using substvars. 

  [ Stefan Sobernig ]
  * Checking lintian sanity (v2.2.12)
  * Bumping policy to 3.8.2
  * Referring to GPLv2 in debian/copyright explicitly

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 30 Jun 2009 00:46:35 +0200

aolserver4-nspostgres (4.5-2) unstable; urgency=low

  * Changed dependency to AOLserver >=4.5.1 to avoid possible ABI breakages.
  * Policy bumped to 3.8.0.
  * Added ${misc:Depends} to make lintian happy.
  * Debhelper level moved to 7.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 07 Mar 2009 11:37:54 +0100

aolserver4-nspostgres (4.5-1) unstable; urgency=low

  * New upstream release.
  * Now installing libns*so and ns*so as required by aolserver 4.5
  * Policy bumped to 3.7.3
  * Added Homepage field to debian/control
  * Removed obsolete postgresql-dev build-dependency
    (closes: #429965)
  * Added private paths to dh_shlibdeps call

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 06 Jan 2008 14:34:12 +0100

aolserver4-nspostgres (4.0-4) unstable; urgency=low

  * Changed for aolserver4 4.5.0 compatibility.
  * Policy bumped to 3.7.2 without changes.
  * Debhelper compatibility bumped to 5.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 22 Apr 2007 11:17:51 +0200

aolserver4-nspostgres (4.0-3) unstable; urgency=low

  * Revised Debian Makefile to refer the correct postgres path.
  * Added libpg-dev build-dep for postgresql 8.0
    (closes: #317071)
  * Policy bumped to 3.6.2, no changes

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 11 Jul 2005 15:00:03 +0200

aolserver4-nspostgres (4.0-2) unstable; urgency=high

  * Added linking to libnsdb. That's needed to solve a runtime linking
    problem which renders package unusable.
    See http://openacs.org/forums/message-view?message_id=118559                                                                     
    Thanks Luke Pond.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 15 Oct 2004 09:58:06 +0200

aolserver4-nspostgres (4.0-1) unstable; urgency=low

  * Initial Release.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 25 May 2004 10:18:33 +0200
