=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g -Wl,--no-as-needed
MYPACKAGE=$(shell grep Package: debian/control | cut -d' ' -f2)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	
	CFLAGS="$(CFLAGS)" $(MAKE) -f debian/Makefile.debian POSTGRES=PG_CONFIG PG_CONFIG=/usr/bin/pg_config ACS=1 
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) -f debian/Makefile.debian clean
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

build-indep: build
build-arch: build

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_install
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -l/usr/lib/aolserver4/lib:$(CURDIR)
	cat /usr/share/aolserver4/debian.substvars >> debian/$(MYPACKAGE).substvars
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure build-indep build-arch
