=== debian/control ===
Source: aolserver4-nspostgres
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 9), aolserver4-dev (>= 4.5.1), libpq-dev
Standards-Version: 3.9.5
Homepage: http://www.aolserver.com/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/ext-maint/aolserver/modules/aolserver4-nspostgres/trunk
Vcs-Svn: svn://anonscm.debian.org/collab-maint/ext-maint/aolserver/modules/aolserver4-nspostgres/

Package: aolserver4-nspostgres
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${aolserver:Depends}
Suggests: aolserver4-doc (>= 4.0.1)
Description: AOLserver 4 module: Postgres connector
 This module implements a simple AOLserver database services driver
 for AOLserver version 4.
 .
 A database driver is a module which interfaces between the AOLserver
 database-independent nsdb module and the API of a particular DBMS.  A
 database driver's job is to open connections, send SQL statements,
 and translate the results into the form used by nsdb.  In this case,
 the driver is for the PostgreSQL ORDBMS from The PostgreSQL Global
 Development Group.  
 .
 This is the official driver for the OpenACS project.
